package com.ysnows.base.view

import com.chad.library.adapter.base.BaseQuickAdapter
import com.ysnows.base.base.BRRepository
import com.ysnows.base.net.IResp

interface BRView<A : BaseQuickAdapter<*, *>> : BView, LoadMoreView {
    fun adapter(): A

    fun initAdapter(): A

    /**
     * 当 请求list接口数据返回的时候回掉， 可以用作正常的recyclerview渲染之外的数据处理
     *
     * @param res
     */
    fun onListReceive(res: IResp<*>)
    fun getTotal(total: Int)

}
